Skip to main content
GET
List all rule logs

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

page[size]
integer
default:25

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[rule_id]
string

Filter rule logs by the ID of the rule that was applied.

filter[transaction_id]
string

Filter rule logs by the ID of the transaction the rule was applied to.

filter[transaction_type]
string

Filter rule logs by the type of transaction the rule was applied to.

Filter rule logs by the ID of the transfer link the rule ran on.

filter[rule_action_id]
string

Filter rule logs by the ID of the rule action that was executed.

filter[field_name]
string

Filter rule logs by the name of the transaction field that was changed.

filter[success]
boolean

Whether the rule action was successful.

Example:

true

filter[undone_log_id]
string

Filter for undo entries by the ID of the original rule log they reverted.

Search for rule logs by commonly populated fields

sort
enum<string>[]
Available options:
id,
-id,
created_at,
-created_at,
undone_at,
-undone_at,
transaction_id,
-transaction_id,
transfer_link_id,
-transfer_link_id,
rule_id,
-rule_id,
rule_action_id,
-rule_action_id,
undone_log_id,
-undone_log_id,
executed_at,
-executed_at
include
enum<string>[]
Available options:
rule,
rule_action

Response

Paginated set of RuleLogResource

data
RuleLogResource · object[]
required
meta
object
required